<div align="center">
  <h1>VancedVue</h1>
  <p>
    <a href="https://vancedvue.vercel.app">
      <img alt="Vancedvue - Tailwind CSS components" width="350" src="https://github.com/suralabs/vancedvue/blob/v1.0.0/docs/public/assets/image/logo.png?raw=true">
    </a>
  </p>
  <p>
    Build websites even faster with components on top of Vue and Tailwind CSS
  </p>
  <p>
    <a href="https://github.com/suralabs/vancedvue">
      <img src="https://github.com/suralabs/vancedvue/actions/workflows/build.yaml/badge.svg" alt="Build">
    </a>
    <a href="https://www.npmjs.com/package/vancedvue">
      <img src="https://badgen.net/npm/dm/vancedvue" alt="NPM Downloads">
    </a>
    <a href="https://www.npmjs.com/package/vancedvue">
      <img src="https://badgen.net/npm/v/vancedvue" alt="NPM Version">
    </a>
    <a href="https://github.com/suralabs/vancedvue">
      <img src="https://badgen.net/github/license/suralabs/vancedvue" alt="License">
    </a>
  </p>
</div>

---

### `Vancedvue` is an open source collection of UI components, built in Vue, with utility classes from Tailwind CSS that you can use as a starting point for user interfaces and websites.

## Documentation

Documentation for `Vancedvue` is not yet finished.

If you want to browse the components, visit [vancedvue.vercel.app](vancedvue.vercel.app).

## Versions

| vancedvue version | Vue.js version | document                                                                                           |
|-------------|----------------|----------------------------------------------------------------------------------------------------------|
| 1.x         | 3.x            | [https://github.com/suralabs/vancedvue/tree/v1.0.4](https://github.com/suralabs/vancedvue/tree/v1.0.4) |

## Quick start

```bash
$ npm i vancedvue --save
```

```javascript
// main.js
import { createApp } from 'vue'
import * as vancedvue from 'vancedvue'

const app = createApp({ ... })

app.use(vancedvue)

app.mount(...)
```

For more information, pls visit [https://vancedvue.vercel.app/usage/getting-started.html](https://vancedvue.vercel.app/usage/getting-started.html)

## Changelog

Detailed changes for each release are documented in the [release notes](https://github.com/suralabs/vancedvue/releases).

## Special thanks

<p>
<a href="https://code.visualstudio.com/?from=vancedvue"><img width="250" src="https://code.visualstudio.com/assets/images/code-stable.png" alt="vc-logo.png"></a>
</p>

## License

MIT
