import { openBlock as r, createBlock as a, resolveDynamicComponent as o, normalizeClass as u, normalizeStyle as d, withCtx as m, renderSlot as c } from "vue";
const h = (i, l) => {
  const t = i.__vccOpts || i;
  for (const [s, e] of l)
    t[s] = e;
  return t;
}, b = {
  props: {
    label: {
      type: String,
      default: null
    },
    active: {
      type: Boolean,
      default: !0
    },
    sticky: Boolean,
    // Always showing
    multiline: Boolean,
    // Multiple lines
    underlined: Boolean,
    abbreviation: Boolean,
    position: {
      type: String,
      default: "is-top",
      validator(i) {
        return ["is-top", "is-bottom", "is-left", "is-right"].indexOf(i) > -1;
      }
    },
    size: {
      type: String,
      default: "is-medium",
      validator(i) {
        return ["is-small", "is-medium", "is-large"].indexOf(i) > -1;
      }
    }
  },
  data() {
    return {
      labelText: this.label || null,
      isActive: this.active || !0,
      isSticky: this.sticky || !1,
      isMultiline: this.multiline || !1,
      isUnderlined: this.underlined || !1,
      isAbbreviation: this.abbreviation || !1,
      hasPosition: this.position || "is-top",
      hasSize: this.size || "is-medium"
      // $Tooltip: any
    };
  },
  computed: {
    dynamicStyles() {
      return {
        // '--custom-tooltip-color':
        //   this.$Tooltip && this.$Tooltip.hasOwnProperty('color')
        //     ? this.$Tooltip.color
        //     : null,
        // '--custom-tooltip-background':
        //   this.$Tooltip && this.$Tooltip.hasOwnProperty('background')
        //     ? this.$Tooltip.background
        //     : null,
        // '--custom-tooltip-border-radius':
        //   this.$Tooltip && this.$Tooltip.hasOwnProperty('borderRadius')
        //     ? this.$Tooltip.borderRadius
        //     : null,
        // '--custom-tooltip-font-weight':
        //   this.$Tooltip && this.$Tooltip.hasOwnProperty('fontWeight')
        //     ? this.$Tooltip.fontWeight
        //     : null,
      };
    }
  },
  watch: {
    label: {
      handler(i) {
        this.labelText = i;
      },
      immediate: !0
    },
    active: {
      handler(i) {
        this.isActive = i;
      },
      immediate: !0
    },
    sticky: {
      handler(i) {
        this.isSticky = i;
      },
      immediate: !0
    },
    multiline: {
      handler(i) {
        this.isMultiline = i;
      },
      immediate: !0
    },
    underlined: {
      handler(i) {
        this.isUnderlined = i;
      },
      immediate: !0
    },
    abbreviation: {
      handler(i) {
        this.isAbbreviation = i;
      },
      immediate: !0
    },
    position: {
      handler(i) {
        this.hasPosition = i;
      },
      immediate: !0
    },
    size: {
      handler(i) {
        this.hasSize = i;
      },
      immediate: !0
    }
  }
};
function p(i, l, t, s, e, n) {
  return r(), a(o(e.isAbbreviation ? "abbr" : "span"), {
    "data-label": e.labelText,
    "aria-label": e.labelText,
    role: "tooltip",
    class: u([
      e.hasPosition,
      e.hasSize,
      {
        "custom-tooltip": e.isActive && e.labelText,
        "is-sticky": e.isSticky,
        "has-multiline": e.isMultiline,
        "is-underlined": e.isUnderlined || e.isAbbreviation
      }
    ]),
    style: d([n.dynamicStyles, { cursor: e.isAbbreviation ? "help" : "pointer" }])
  }, {
    default: m(() => [
      c(i.$slots, "default")
    ]),
    _: 3
  }, 8, ["data-label", "aria-label", "class", "style"]);
}
const v = /* @__PURE__ */ h(b, [["render", p]]);
export {
  v as default
};
